<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-2.5.xsd">


    <bean name="checkChangesApplied" class="org.springframework.scheduling.quartz.JobDetailBean">
        <property name="jobClass" value="en.dlink.util.SchedulerTask"/>
        <property name="jobDataAsMap">
            <map>
                <entry key="networkManager" value-ref="networkManager" />
                <entry key="userManager" value-ref="userManager"/>
            </map>
        </property>

    </bean>
    <bean id="taskCheckTriggerBean" class="org.springframework.scheduling.quartz.CronTriggerBean">
            <property name="jobDetail" ref="checkChangesApplied"/>
            <property name="cronExpression" value="0 53/5 13 26 8 ?  "/>
    </bean>
    <bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean">
            <property name="waitForJobsToCompleteOnShutdown">
                <value>true</value>
            </property>
            <property name="configLocation">
                <value>classpath:resource/quartz.properties</value>
            </property>
            <property name="triggers">
                <list>
                    <ref local="taskCheckTriggerBean"/>
                </list>
            </property>
    </bean>
    </beans>